play.utils

## Class Utils.AlternativeDateFormat

- java.lang.Object
- - play.utils.Utils.AlternativeDateFormat

- Enclosing class:
    Utils

      public static class Utils.AlternativeDateFormat
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlternativeDateFormat(java.util.Locale locale, java.lang.String... alternativeFormats)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Utils.AlternativeDateFormat` | `getDefaultFormatter()`
    `java.util.Date` | `parse(java.lang.String source)`
    `void` | `setFormats(java.lang.String... alternativeFormats)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AlternativeDateFormat

          public AlternativeDateFormat(java.util.Locale locale,
                                       java.lang.String... alternativeFormats)

  - ### Method Detail

    - #### setFormats

          public void setFormats(java.lang.String... alternativeFormats)

    - #### parse

          public java.util.Date parse(java.lang.String source)
                               throws java.text.ParseException

      Throws:
        `java.text.ParseException`

    - #### getDefaultFormatter

          public static Utils.AlternativeDateFormat getDefaultFormatter()

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly